import request from "@/utils/request";

// 查询重点工作项目列表
export function listWork(query) {
  return request({
    url: "/zongzhi/work/list",
    method: "get",
    params: query,
  });
}

// 查询重点工作项目详细
export function getWork(id) {
  return request({
    url: "/zongzhi/work/" + id,
    method: "get",
  });
}

// 新增重点工作项目
export function addWork(data) {
  return request({
    url: "/zongzhi/work",
    method: "post",
    data: data,
  });
}

// 修改重点工作项目
export function updateWork(data) {
  return request({
    url: "/zongzhi/work",
    method: "put",
    data: data,
  });
}

// 删除重点工作项目
export function delWork(id) {
  return request({
    url: "/zongzhi/work/" + id,
    method: "delete",
  });
}

// 导出重点工作项目
export function exportWork(data) {
  return request({
    url: "/zongzhi/work/export",
    method: "post",
    data,
  });
}
